# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMapArray

Function

Provides an intermediate-level mapping function.

Syntax
`
#include <dx/dx.h>
`

Array DXMapArray(Array index, Interpolator map, Array *invalid)

Functional Details

This function is lower-level than `DXMap` but higher than `DXInterpolate`.

The parameter `index` specifies an Array containing points to be sampled from the Interpolator `map`. The result is returned as an Array. If `invalid` is not `NULL`, an Array that indicates invalid data in which uninterpolated elements are tagged `DATA_INVALID` is returned. If an invalid-data Array corresponding to `index` exists prior to the call to `DXMapArray`, it should be passed in through `*invalid`. See DXInterpolate for valid types of `index` and `map` data.

Return Value

Returns `index` or returns `NULL` and sets an error code.

See Also

`DXInterpolate, DXMap, DXMapCheck, DXNewInterpolator`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]